Bug 1183924 - Review Request: perl-Time-TAI64 - Perl extension for converting TAI64 strings into standard unix timestamps
Summary: Review Request: perl-Time-TAI64 - Perl extension for converting TAI64 strings...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-20 08:43 UTC by David Dick
Modified: 2015-02-15 20:41 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-02-07 04:02:41 UTC
paul: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2015-01-20 08:43:30 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-Time-TAI64.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-Time-TAI64-2.11-1.fc20.src.rpm
Description: Perl extension for converting TAI64 strings into standard unix timestamps
Fedora Account System Username: ddick

Comment 2 Paul Howarth 2015-01-27 10:12:16 UTC
rpmlint output
==============
perl-Time-TAI64.noarch: W: spelling-error Summary(en_US) unix -> UNIX, Unix, uni
perl-Time-TAI64.noarch: W: spelling-error Summary(en_US) timestamps -> time stamps, time-stamps, times tamps
perl-Time-TAI64.noarch: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
perl-Time-TAI64.noarch: W: spelling-error %description -l en_US multilog -> multilevel
perl-Time-TAI64.noarch: W: spelling-error %description -l en_US timestamp -> time stamp, time-stamp, times tamp
perl-Time-TAI64.src: W: spelling-error Summary(en_US) unix -> UNIX, Unix, uni
perl-Time-TAI64.src: W: spelling-error Summary(en_US) timestamps -> time stamps, time-stamps, times tamps
perl-Time-TAI64.src: W: spelling-error %description -l en_US timestamps -> time stamps, time-stamps, times tamps
perl-Time-TAI64.src: W: spelling-error %description -l en_US multilog -> multilevel
perl-Time-TAI64.src: W: spelling-error %description -l en_US timestamp -> time stamp, time-stamp, times tamp
2 packages and 0 specfiles checked; 0 errors, 10 warnings.

checklist
=========
- rpmlint OK (just spelling complaints about technical terms)
- package and spec file naming OK
- package meets guidelines
- license is same as perl, OK for Fedora, matches upstream
- no license text to include
- spec file written in English and is legible
- source file matches upstream, including timestamp
- package builds OK in mock for Rawhide x86_64, and is not arch-specific
- buildreqs OK
- no locales, libraries etc. to bother with
- no intent to make the package relocatable
- directory ownership and permissions OK
- no duplicate files
- macro usage is consistent
- code, not content
- no large docs, docs don't affect runtime
- not a GUI app, no desktop file needed
- filenames are all ASCII


notes
=====
%description needs re-wording to improve English, e.g. s/provides/providing/

Should BR: perl itself, needed to run Makefile.PL


Package APPROVED.

Comment 3 David Dick 2015-01-27 18:18:12 UTC
Thanks for the review Paul.

New Package SCM Request
=======================
Package Name: perl-Time-TAI64
Short Description: Perl extension for converting TAI64 strings into standard unix timestamps
Upstream URL: http://search.cpan.org/dist/Time-TAI64/
Owners: ddick
Branches: f20, f21, el6, epel7
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2015-01-28 11:56:31 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-01-28 19:17:22 UTC
perl-Time-TAI64-2.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Time-TAI64-2.11-1.el6

Comment 6 Fedora Update System 2015-01-28 19:17:58 UTC
perl-Time-TAI64-2.11-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Time-TAI64-2.11-1.el7

Comment 7 Fedora Update System 2015-01-28 19:18:24 UTC
perl-Time-TAI64-2.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Time-TAI64-2.11-1.fc20

Comment 8 Fedora Update System 2015-01-28 19:18:53 UTC
perl-Time-TAI64-2.11-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Time-TAI64-2.11-1.fc21

Comment 9 Fedora Update System 2015-01-29 19:38:21 UTC
perl-Time-TAI64-2.11-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2015-02-07 04:02:41 UTC
perl-Time-TAI64-2.11-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2015-02-07 04:02:50 UTC
perl-Time-TAI64-2.11-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-02-15 20:39:50 UTC
perl-Time-TAI64-2.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 13 Fedora Update System 2015-02-15 20:41:11 UTC
perl-Time-TAI64-2.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.